classification
Title: Py3K warn using file.softspace
Type: Stage:
Components: Interpreter Core Versions: Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, brett.cannon, georg.brandl, jeff.balogh
Priority: critical Keywords: 26backport, patch

Created on 2008-03-17 19:17 by brett.cannon, last changed 2008-03-21 20:39 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
issue2348.diff jeff.balogh, 2008-03-19 19:34 diff against r61635
Messages (6)
msg63716 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-03-17 19:17
A Py3K warning should be raised if file.whitespace is used in any way.
msg63827 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-03-18 00:44
That should read file.softspace.
msg63873 - (view) Author: Jeff Balogh (jeff.balogh) * Date: 2008-03-18 03:42
Attaching a patch that adds {get,set}_attr wrappers for fileobject 
which warn about softspace usage.
msg64077 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-03-19 17:39
I have a few comments:
1) Please use PyErr_WarnEx.
2) Please add tests to Lib/test/test_py3kwarn.py
msg64091 - (view) Author: Jeff Balogh (jeff.balogh) * Date: 2008-03-19 19:34
Here's a new patch that uses PyErr_WarnEx, has a test, and even updates 
Misc/NEWS.
msg64273 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-03-21 20:39
Committed a simpler patch (the file object already had a getsetlist) in
r61716.
History
Date User Action Args
2008-03-21 20:39:08georg.brandlsetstatus: open -> closed
resolution: fixed
messages: + msg64273
nosy: + georg.brandl
2008-03-19 19:34:46jeff.baloghsetfiles: + issue2348.diff
messages: + msg64091
2008-03-19 19:33:18jeff.baloghsetfiles: - issue2348.diff
2008-03-19 17:39:09benjamin.petersonsetnosy: + benjamin.peterson
messages: + msg64077
2008-03-18 03:42:39jeff.baloghsetfiles: + issue2348.diff
keywords: + patch
messages: + msg63873
nosy: + jeff.balogh
2008-03-18 00:44:47brett.cannonsetmessages: + msg63827
title: Py3K warn using file.whitespace -> Py3K warn using file.softspace
2008-03-17 20:13:58brett.cannonsetpriority: release blocker -> critical
2008-03-17 19:17:33brett.cannoncreate